Cognitive Interaction Toolkit - Bug #473

BuildGenerator 0.6.10 fails to resolve boost
2016-03-11 14:34 - Michael Goerlich

Status: Closed Start date: 2016-03-11
Priority: Normal Due date:

Assignee: % Done: 0%
Category: project described by recipe Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

long story short:

ANALYSIS-ERROR:
Error during analysis of #PROJECT-SPEC Isp-csra-0.3:rsb-depth-sensors {1008C7B083}> Caused by:
> Error during analysis of /media/local_jenkins/tmp/project.euG0gW/branch-csra_0.3/ Caused by:
> > Could not resolve version "${Boost_USE_VERSION}" in find_package() expression.

ANALYSIS-ERROR:
Error during analysis of #<PROJECT-SPEC Isp-csra-0.3:rsb-depth-sensors {1008C7B083}> Caused by:
> Error during analysis of /media/local_jenkins/tmp/project.euG0gW/branch-csra_0.3/ Caused by:
> > Could not resolve version "${Boost USE_VERSION}" in find_package() expression.

at several distributions on ayq: https://ayq.csra.cit-ec.de/view/DIST/job/Generate%20Distribution%200.3/lastBuild/console

History

#1 - 2016-03-11 14:47 - Jan Moringen

- Category set to project described by recipe

Seems to be a bug in the project. The CMakelLists.txt file contains the following line:

find_package(Boost ${Boost_ USE_VERSION} REQUIRED thread system filesystem)

but Boost_ USE_VERSION doesn't seem to be defined anywhere (as the generator remarks).

Compare to e.g. RSC which has the above line, but also:

SET(Boost_USE_VERSION 1.38 CACHE INTERNAL "Boost Version to use")
https://ayq.csra.cit-ec.de/view/DIST/job/Generate%20Distribution%200.3/lastBuild/console

#2 - 2016-03-11 14:54 - Johannes Wienke

This is a corner case, | would say. Despite having an undefined variable, the call, with the variable resolving to blank, is still valid. In theory this could
be used to optionally let the user provide a version via the command line (ignoring the cache).

#3 - 2016-03-11 14:59 - Jan Moringen

Johannes Wienke wrote:

This is a corner case, | would say. Despite having an undefined variable, the call, with the variable resolving to blank, is still valid. In theory this
could be used to optionally let the user provide a version via the command line (ignoring the cache).

Sure. In this particular case however, | suspect that the find_package call has been copied from RSC without also copying the set call.

Also, the generator will still note the dependency, but without a version.

#4 - 2016-03-11 15:01 - Michael Goerlich

both of you are right. | just got the impression, that jobs are not being updated (which was the result of a forgotten push actually). Maybe the word
"warning" or "information" instead of "error" would be less misleading?

#5 - 2017-03-03 10:10 - Florian Lier

- Status changed from New to Closed
